### Class

# Ggit SubmoduleUpdateOptions

#### Description [src]

    class Ggit.SubmoduleUpdateOptions : GObject.Object
    {
      /* No available fields */
    }

Represents options for a submodule update.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### ggit_submodule_update_options_new

Creates a new submodule options object.

#### Instance methods

###### ggit_submodule_update_options_get_checkout_options

Get the checkout options.

###### ggit_submodule_update_options_get_fetch_options

No description available.

###### ggit_submodule_update_options_set_checkout_options

Set the checkout options.

###### ggit_submodule_update_options_set_fetch_options

Sets the fetch options.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ggit.SubmoduleUpdateOptions:checkout-options

No description available.

###### Ggit.SubmoduleUpdateOptions:fetch-options

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitSubmoduleUpdateOptionsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.